Bug 1527896 - [RFE] Notifications box should automatically close if we click on another part of the page.
Summary: [RFE] Notifications box should automatically close if we click on another par...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Notifications
Version: 6.3.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-20 11:46 UTC by Ashish Humbe
Modified: 2019-11-05 23:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:29:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:29:54 UTC
Foreman Issue Tracker 21500 None None None 2017-12-20 12:22:55 UTC
Foreman Issue Tracker 21846 None None None 2017-12-20 12:16:34 UTC

Description Ashish Humbe 2017-12-20 11:46:10 UTC
Description of problem:

[RFE] Notifications box should automatically close if we click on another part of the page.

Version-Release number of selected component (if applicable):
Satellite 6.3 

How reproducible:
Always

Steps to Reproduce:
1. Click on the notifications bell icon to check notifications.
2.
3.

Actual results:
Currently, we need to click on the notification message to mark it as read.
To close the notifications box we need to click on the bell icon again. 

Expected results:
After reading notifications satellite should mark them as read after some time and if we click on any another part of the webui it should close the notifications window automatically. 

Additional info:

Comment 1 Tomer Brisker 2017-12-20 12:16:32 UTC
Connecting redmine issue http://projects.theforeman.org/issues/21846 from this bug

Comment 2 Tomer Brisker 2017-12-20 12:22:53 UTC
Connecting redmine issue http://projects.theforeman.org/issues/21500 from this bug

Comment 4 Martin Korbel 2018-06-20 09:30:38 UTC
VERIFIED on Sat6.4#8

Comment 7 errata-xmlrpc 2018-10-16 15:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.